package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ClassGroup;
import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.MusicGroupTrainPlan;
import com.ym.mec.biz.dal.entity.MusicGroupTrainPlanSaveDto;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface MusicGroupTrainPlanService extends BaseService<Integer, MusicGroupTrainPlan> {

    int add(MusicGroupTrainPlanSaveDto musicGroupTrainPlanSaveDto);

    Map<String,Object> queryPlanPage(MusicGroupTrainPlanSaveDto musicGroupTrainPlanSaveDto);

    List<ClassGroup> queryPlanCourseNum(MusicGroupTrainPlanSaveDto musicGroupTrainPlanSaveDto);

    List<String> queryCourseType(MusicGroupTrainPlanSaveDto musicGroupTrainPlanSaveDto);

    Map<String,Object> queryExceptionPlan(MusicGroupTrainPlanSaveDto musicGroupTrainPlanSaveDto);

    MusicGroupTrainPlanSaveDto getSchoolTerm(CourseSchedule courseSchedule);

    List<MusicGroupTrainPlan> queryPlan(MusicGroupTrainPlanSaveDto schoolTerm);
}